Qt Cryptographic Architecture: QCA::EventHandler Class Reference

Qt Cryptographic Architecture

Signals | Public Member Functions | Friends | List of all members
QCA::EventHandler Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::EventHandler:
[legend]

## Signals
void | eventReady (int id, const QCA::Event &context)

## Public Member Functions
| EventHandler (QObject *parent=0)
void | reject (int id)
void | start ()
void | submitPassword (int id, const SecureArray &password)
void | tokenOkay (int id)

## Friends
class | Private

## Detailed Description

Interface class for password / passphrase / PIN and token handlers.

This class is used on client side applications to handle the provision of passwords, passphrases and PINs by users, and to indicate that tokens have been correctly inserted.

The concept behind this class is that the library can raise events (typically using PasswordAsker or TokenAsker), which may (or may not) be handled by the application using a handler object (that has-a EventHandler, or possibly is-a EventHandler) that is connected to the eventReady() signal.

Examples:
  eventhandlerdemo.cpp, and keyloader.cpp.

## Constructor & Destructor Documentation

## ◆ EventHandler()

QCA::EventHandler::EventHandler | ( | QObject * | parent = `0` | ) |

Constructor.

Parameters

  parent | the parent object for this object

## Member Function Documentation

## ◆ start()

void QCA::EventHandler::start | ( |  | ) |

mandatory function to call after connecting the signal to a slot in your application specific password / passphrase / PIN or token handler

Examples:
  keyloader.cpp.

## ◆ submitPassword()

void QCA::EventHandler::submitPassword | ( | int | id,
|  | const SecureArray & | password
| ) |  |

function to call to return the user provided password, passphrase or PIN.

Parameters

  id | the id corresponding to the password request
  password | the user-provided password, passphrase or PIN.

Note
  the id parameter is the same as that provided in the eventReady() signal.

Examples:
  keyloader.cpp.

## ◆ tokenOkay()

void QCA::EventHandler::tokenOkay | ( | int | id | ) |

function to call to indicate that the token has been inserted by the user.

Parameters

  id | the id corresponding to the password request

Note
  the id parameter is the same as that provided in the eventReady() signal.

## ◆ reject()

void QCA::EventHandler::reject | ( | int | id | ) |

function to call to indicate that the user declined to provide a password, passphrase, PIN or token.

Parameters

  id | the id corresponding to the password request

Note
  the id parameter is the same as that provided in the eventReady() signal.

Examples:
  keyloader.cpp.

## ◆ eventReady

void QCA::EventHandler::eventReady | ( | int | id,
|  | const QCA::Event & | context
| ) |  |
| signal

signal emitted when an Event requires attention.

You typically need to connect this signal to a compatible slot in your callback handler

Parameters

  id | the identification number for the event
  context | information about the type of response required

The documentation for this class was generated from the following file:

- qca_core.h